using System;
using System.Collections.Generic;
using System.Text;

namespace Utils.Misc
{
    /// <summary>
    /// Class wich gives the path of the running application
    /// </summary>
    public static class ApplicationPath
    {
        /// <summary>
        /// Gives the command line of this running application
        /// </summary>
        public static string CommandLine { get { return Environment.CommandLine; } }

        /// <summary>
        /// Gives the execution path of this running application but DOES NOT finish with a "\"
        /// </summary>
        public static string CommandPath
        {
            get
            {
                string[] args = Environment.GetCommandLineArgs();
                string Path = CommandLine;
                foreach (string s in args)
                    Path = Path.Replace(s, "");

                int index = Path.LastIndexOf("\\");
                if (index > 0)
                    Path = Path.Remove(index);
                Path = Path.Trim('\"');
                return Path;
            }
        }
    }
}
